export const TableColumns = [
  { key: "priceName", title: "价格名称", inputType: "Input" },
  {
    key: "supplierName",
    title: "供应商",
    inputType: "PopoverSelect",
    referName: "SUPPLIER_PARAM",
    valueKey: "name",
    dataMapping: {
      supplier: "code",
      supplierName: "name",
    },
    require: true,
  },
  {
    key: "supplier",
    title: "供应商编码",
    inputType: "Input",
    disabled: true,
    readonly: true,
  },
  {
    key: "puOrgName",
    title: "采购组织",
    inputType: "PopoverSelect",
    referName: "ORG_PARAM",
    valueKey: "name",
    dataMapping: {
      puOrg: "code",
      puOrgName: "name",
    },
    require: true,
  },
  {
    key: "puOrg",
    title: "采购组织编码",
    inputType: "Input",
    disabled: true,
    readonly: true,
  },
  {
    key: "currencyName",
    title: "币种",
    inputType: "PopoverSelect",
    referName: "CURRENCY_PARAM",
    dataMapping: {
      currency: "code",
      currencyName: "name",
    },
    require: true,
  },
  {
    key: "currency",
    title: "币种编码",
    inputType: "Input",
    disabled: true,
    readonly: true,
  },
  {
    key: "explainStr",
    title: "价格合理性说明",
    inputType: "Input",
    require: true,
  },
  {
    key: "buyerName",
    title: "采购员",
    inputType: "PopoverSelect",
    referName: "CONTACTS_PARAM",
    dataMapping: {
      buyer: "code",
      buyerName: "name",
    },
    require: true,
  },
  {
    key: "buyer",
    title: "采购员编码",
    inputType: "Input",
    disabled: true,
    readonly: true,
  },
  {
    key: "puDeptName",
    title: "采购部门",
    inputType: "PopoverSelect",
    referName: "DEPT_PARAM",
    dataMapping: {
      puDept: "code",
      puDeptName: "name",
    },
    require: true,
  },
  {
    key: "puDept",
    title: "采购部门编码",
    inputType: "Input",
    disabled: true,
    readonly: true,
  },
  {
    key: "file",
    title: "附件",
    inputType: "Upload",
    span: "24",
    disabled: true,
    readonly: true,
    value: [],
  },
  {
    key: "createByName",
    title: "创建人",
    inputType: "Input",
    disabled: true,
    readonly: true,
  },
  {
    key: "source",
    title: "来源单据号",
    inputType: "Input",
    disabled: true,
    readonly: true,
  },
  {
    key: "id",
    title: "来源单据id",
    inputType: "Input",
    disabled: true,
    readonly: true,
  },
  {
    key: "isEffective",
    title: "是否已推价格",
    inputType: "Select",
    referName: "sys_yes_no",
  },
  {
    key: "effectiveDate",
    title: "生效日期",
    inputType: "Input",
    disabled: true,
    readonly: true,
  },
  {
    key: "sourceType",
    title: "来源单据类型",
    inputType: "Input",
    disabled: true,
    readonly: true,
  },
  {
    key: "status",
    title: "单据状态",
    inputType: "Input",
    disabled: true,
    readonly: true,
  },
  // { key: "tenantId", title: "租户号" },
  // { key: "revision", title: "乐观锁" },
  // { key: "updateByName", title: "更新人" },
  // { key: "delFlag", title: "删除标记" },
];

export const SearchColumns = [
  {
    key: "supplierName",
    title: "供应商",
    inputType: "PopoverSelect",
    referName: "SUPPLIER_PARAM",
    dataMapping: {
      supplier: "code",
      supplierName: "name",
    },
  },
  {
    key: "puOrgName",
    title: "采购组织",
    inputType: "PopoverSelect",
    referName: "ORG_PARAM",
    dataMapping: {
      puOrg: "code",
      puOrgName: "name",
    },
  },
  {
    key: "buyerName",
    title: "采购员",
    inputType: "PopoverSelect",
    referName: "CONTACTS_PARAM",
    dataMapping: {
      buyer: "code",
      buyerName: "name",
    },
  },
  {
    key: "currencyName",
    title: "币种",
    inputType: "PopoverSelect",
    referName: "CURRENCY_PARAM",
    dataMapping: {
      currency: "code",
      currencyName: "name",
    },
  },
  {
    key: "puDeptName",
    title: "采购部门",
    inputType: "PopoverSelect",
    referName: "DEPT_PARAM",
    dataMapping: {
      puDept: "code",
      puDeptName: "name",
    },
  },
  {
    key: "isEffective",
    title: "是否已推价格",
    inputType: "Select",
    referName: "sys_yes_no",
  },
];
